/* $Id: iter_valid.c 616 2005-08-19 20:11:01Z bruce $ */
#include "iter.h"
#include "str.h"

/** Determine if a striter is valid (after initialization or advancing). */
int striter_valid(striter* iter)
{
  return iter->str && iter->start < iter->str->len;
}
